Download it now!
Bug 122512 - Non-applied styles Default Style, Heading are listed as applied styles.
Summary: Non-applied styles Default Style, Heading are listed as applied styles.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Styles
  Show dependency treegraph
 
Reported: 2019-01-05 21:26 UTC by ricky.tigg
Modified: 2019-01-07 15:10 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Document sample (10.02 KB, application/vnd.oasis.opendocument.text)
2019-01-05 21:27 UTC, ricky.tigg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ricky.tigg 2019-01-05 21:26:54 UTC
Description:
Non-applied styles Default Style, Heading are listed as applied styles.

Steps to Reproduce:
1. Under Fedora 29, use provided sample document, in which Heading 1 is the only applied style.
2. Under Side bar -> Styles, select Applied styles;
3. Under Find & Replace – other options, select only Paragraph Styles.

Actual Results:
Non-applied styles Default Style, Heading are exhibited under step 2. and 3. under Find list.

Expected Results:
Non-applied styles cannot be reported as applied styles.


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.1.2.1
Build ID: 6.1.2.1-4.fc29
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-GB (en_GB.UTF-8); Calc: group threaded
Comment 1 ricky.tigg 2019-01-05 21:27:58 UTC
Created attachment 148066 [details]
Document sample
Comment 2 V Stuart Foote 2019-01-06 06:40:28 UTC
Confirmed on Windows builds as well.

Heading 1 'inherits' from Heading which 'inherits' from Default. So reason for their presence as "Applied Styles" is fathomable--but I agree they probably do not belong on the filtered list. Only Heading 1 should show as applied.

Other UX-advise opinion?
Comment 3 Heiko Tietze 2019-01-07 10:31:17 UTC
The Default style is always in the list of applied styles even for newly created documents. Adding a H1 borrows the parent Heading, same is true for Title, a Drawing takes Caption with it, a List the Text Body, etc.

(In reply to V Stuart Foote from comment #2)
> Only Heading 1 should show as applied.

Agreed, but Default too at any time.


We had a similar discussion about hidden styles that are like Applied not a category alike the other entries in that dropdown but a special filter. If we expose those two as separate checkboxes and have a tree by default that is reduced (or better greyed out) depending on the checked options, the situation is much clearer.
Comment 4 Cor Nouws 2019-01-07 15:10:01 UTC
(In reply to Heiko Tietze from comment #3)

> (In reply to V Stuart Foote from comment #2)
> > Only Heading 1 should show as applied.
> Agreed, but Default too at any time.
+1

Since the origin of the present situation (inheritance) IMO enhancement rather than bug. But ...